# Quick overview

### About BetterBugs Web SDK

The BetterBugs Web SDK allows you to include bug reporting and instant feedback capabilities in your application with minimal settings and effort.

Now, you can equip your apps with a user-friendly and easy-to-implement widget for issue reporting capabilities, such as media capturing, log tracking, getting the two-minute Rewind session video, and real-time hooks to help you and your team report, diagnose, and fix issues effectively.

### Breaking it down

Using the BetterBugs Web SDK, you can enhance your web apps with bug reporting features that allow you to capture useful data about the issues.&#x20;

Here's more on it.

### Key features of the SDK

* **Seamless integration** — Quick installation and easy to use with a few lines of code.
* **Easily customizable** — Tweak the SDK behavior with configurable options for properties, such as metaData, recordType, enableAnnotation, and many others.
* **Use Methods** — Control the SDK with programmatic methods, such as show(), hide(), startRecording(), and many others.
* **Event hooks** — For deeper integration, listen for specific lifecycle events with hooks, such as after a screenshot is captured (screenshot), a bug is submitted (bugSubmit), or a recording starts (recordingStop), and many others.
* **Session Rewind** (coming soon) – Automatically records the last 2 minutes of a session to capture all user interactions. It's perfect for auto-capturing issues that just happened and helps trace actions that lead to the bug.
* **Floating widget customization** – Control the widget's look and placement.

### Floating widget customization options

The floating widget can be customized in various ways:

* **Positioning** — Define widget position using { top, left, right, bottom }.
* **UI Customization** — Modify button styles, background, and primary colors.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.betterbugs.io/developer-guide/betterbugs-web-sdk/quick-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
